<?php

namespace App\Entities\Customer;

use App\Models\Customer\CouponModel;

class CouponEntity extends CustomerEntity
{
    const PK    = CouponModel::PK;
    const TITLE = CouponModel::TITLE;
    const DEFAULT_STATUS = STATUS['DEPOSIT'];
    final public function getUserUID(): int|null
    {
        return $this->attributes['user_uid'] ?? null;
    }
    final public function  getClientInfoUID(): int|null
    {
        return $this->attributes['clientinfo_uid'] ?? null;
    }
    //기본기능
    public function getContent(): string|null
    {
        return $this->attributes['content'] ?? null;
    }
}
